;InnoSetupVersion=5.0.4

[Setup]
AppName=Free CSS Toolbox
AppVerName=Free CSS Toolbox 1.1
AppId=Free CSS Toolbox
AppVersion=Free CSS Toolbox 1.0
AppPublisher=Blumentals Software
AppPublisherURL=http://www.blumentals.net
AppSupportURL=http://www.blumentals.net/support
AppUpdatesURL=http://www.blumentals.net
AppMutex=CSSTool
DefaultDirName={pf}\Free CSS Toolbox
DefaultGroupName=Free CSS Toolbox
OutputBaseFilename=csstool
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\readme.txt"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\csstool.exe"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\cssformat.dll"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{app}\license.txt"; DestDir: "{app}"; MinVersion: 4.0.950,4.0.1381; Flags: ignoreversion 
Source: "{group}\Blumentals Software Web Site.url"; DestDir: "{group}"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Opera 9.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\css.dat"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\CSS General.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\CSS Level 1.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\CSS Level 2.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\CSS Level 2.1.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\CSS Mobile Profile 1.0.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\csscompress.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\FireFox 1.0.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Internet Explorer 4.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Internet Explorer 5.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Internet Explorer 5.5.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Internet Explorer 6.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Internet Explorer 7.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Netscape 4.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Netscape 6.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Netscape 7.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Netscape 8.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Opera 5.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Opera 7.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\cssdefs\Opera 8.ini"; DestDir: "{app}\cssdefs"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\templates\template.css"; DestDir: "{app}\templates"; MinVersion: 4.0.950,4.0.1381; 
Source: "{app}\templates\template.html"; DestDir: "{app}\templates"; MinVersion: 4.0.950,4.0.1381; 

[Dirs]
Name: "{app}\cssdefs"; 
Name: "{app}\templates"; 

[Registry]
Root: HKCU; Subkey: "Software\Karlis Blumentals\CSS Tool"; MinVersion: 4.0.950,4.0.1381; Flags: uninsdeletekey 

[Run]
Filename: "{app}\csstool.exe"; Description: "&Launch Free CSS Toolbox"; MinVersion: 4.0.950,4.0.1381; Flags: postinstall nowait

[Icons]
Name: "{group}\Free CSS Toolbox"; Filename: "{app}\csstool.exe"; MinVersion: 4.0.950,4.0.1381; 
Name: "{userdesktop}\Free CSS Toolbox"; Filename: "{app}\csstool.exe"; Tasks: desktopicon; MinVersion: 4.0.950,4.0.1381; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Free CSS Toolbox"; Filename: "{app}\csstool.exe"; Tasks: quicklaunchicon; MinVersion: 4.0.950,4.0.1381; 
Name: "{group}\Uninstall Free CSS Toolbox"; Filename: "{uninstallexe}"; MinVersion: 4.0.950,4.0.1381; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "Additional Icons:"; MinVersion: 4.0.950,4.0.1381; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional Icons:"; MinVersion: 4.1.1998,5.0.2195; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
